# Manual do Usuário do KDE

&Lauri.Watts; &Lauri.Watts.mail;
June 07, 2005
K Desktop Environment
kate
1

# `kate`

Um editor de texto avançado para o &kde;

    kate -s, --start  name  -u, --use -p, --pid pid -e, --encoding  name -l, --line  line -c, --column  column -i, --stdin KDE Generic Options Qt Generic Options

## Descrição

O &kate; é o Editor de Texto Avançado do &kde;.

O &kate; também oferece o componente de edição para vários aplicativos, sob o nome &kwrite;.

Algumas das várias funcionalidades do &kate; incluem o realce de sintaxe configurável para as linguagens que vão do C e C++ até ao HTML, passando por programas em 'bash', a capacidade de criar e manter projetos, uma interface para vários documentos (MDI) e um emulador de terminal embutido.

Mas o &kate; é mais do que um editor para programadores. A sua capacidade de abrir vários arquivos de uma vez torna-o ideal para editar os vários arquivos de configuração do &UNIX;. Este documento foi escrito no &kate;.

## Opções

`-s`, `--start` nome

  Inicia o &kate; com uma determinada sessão.

`-u, --use`

  Use an already running &kate;

`-p, --pid` pid

  Only try to reuse kate instance with this pid

`-e, --encoding` nome

  Modifica a codificação do arquivo a abrir

  Você poderá usar esta opção para obrigar a abrir um documento no formato UTF-8, por exemplo. (O comando `iconv -l` oferece uma lista com as codificações, o que poderá ser útil para você.)

`-l, --line` linha

  Navegar para esta linha

`-c, --column` coluna

  Navegar para esta coluna

`-i, --stdin`

  Lê o conteúdo do `stdin`

## Veja Também

Existe a documentação do usuário mais detalhada em help:/kate (tanto poderá inserir este URL no &konqueror;, como executar o ``khelpcenter` `help:/kate``).

There is also further information available at the &kate; website.

## Exemplos

Para abrir um arquivo chamado `codigo.cpp` na coluna 15 e linha 25 numa janela existente do &kate;, você poderá usar:

    kate -c 15 -l
    25 -u codigo.cpp

Se você tiver uma conexão à Internet, poderá tirar partido da transparência da rede do &kde; para abrir um arquivo num servidor de FTP. Se não tiver permissões de escrita no servidor remoto, o arquivo será aberto apenas para leitura e ser-lhe-á pedido o nome do arquivo local no qual deseja gravar, se fizer alterações nele. Se tiver permissões para escrita, as alterações serão feitas de forma transparente pela rede.

    kate ftp://ftp.kde.org/pub/kde/README_FIRST

## Autores

O responsável pela manutenção do &kate; é o &Christoph.Cullmann; &Christoph.Cullmann.mail;. Uma lista completa dos autores e contribuidores para o projeto está disponível no manual de usuário mencionado acima.